#
# spec file for package python-agate-stats
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-agate-stats
Version:        0.4.2
Release:        1.4
License:        MIT
Summary:        Additional statistical methods for agate
URL:            http://agate-stats.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://github.com/wireservice/agate-stats/archive/refs/tags/%{version}.tar.gz#/agate-stats-%{version}.tar.gz
# https://github.com/wireservice/agate-stats/compare/0.4.0...master.diff
# Patch0:         python-agate-stats-remove-mysterious-line.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module agate >= 1.5.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six >= 1.6.1}
# /SECTION
Requires:       python-agate >= 1.5.0
Requires:       python-six >= 1.6.1
BuildArch:      noarch

%python_subpackages

%description
Agate-stats adds statistical methods to agate.

%prep
%autosetup -p1 -n agate-stats-%{version}
sed -i -e '/^#!\//, 1d' agatestats/*.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license COPYING
%{python_sitelib}/agatestats
%{python_sitelib}/agate_stats-%{version}.dist-info

%changelog
* Fri Mar 22 2024 Dirk Müller <dmueller@suse.com>
- update to 0.4.2:
  * Add Python 3.8, 3.9, 3.10, 3.11, 3.12 support.
  * Drop support for Python 2.7 (EOL 2020-01-01), 3.4
    (2019-03-18), 3.5 (2020-09-13), 3.6 (2021-12-23), 3.7
    (2023-06-27).
  * Remove six dependency.
  * Fix :meth:`.ZScores.run` method.
- drop python-agate-stats-no-six.patch (upstream)
- drop python-agate-stats-remove-mysterious-line.patch (obsolete)
* Thu Mar  9 2023 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/wireservice/agate-stats/issues/18
  + python-agate-stats-no-six.patch
* Fri May 21 2021 pgajdos@suse.com
- use github release which contains tests, run them via %%pytest macro
- deleted sources
  - COPYING (not needed)
- added patches
  fix https://github.com/wireservice/agate-stats/compare/0.4.0...master.diff
  + python-agate-stats-remove-mysterious-line.patch
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
